Podręcznik PHP
Poprzedni | Rozdział 3. Instalacja | Następny

# Kompletna lista opcji konfiguracji

> Notatka: Opcje te są podawane tylko w czasie kompilacji. Jeśli chcesz wpłynąć na konfigurację skompilowanego PHP, przeczytaj rozdział Konfiguracja.

Poniżej znajduje się kompletna lista opcji obsługiwanych przez skrypt `configure` dostarczany z PHP 3 i PHP 4, użytany przy kompilacji w środowiskach Uniksowych. Niektóre opcje są dostępne w PHP 3, niektóre w PHP 4, niektóre w obu - informacje na ten temat znajdują się w opisach opcji. Istnieje wiele opcji, których nazwy różnią się między PHP 3 a PHP 4, ale dotyczą tej samej rzeczy. Te wpisy zawierają odnośniki do siebie nawzajem, więc jeśli masz problem z funkcjonowaniem opcji konfiguracji przeniesionych z PHP 3, sprawdź czy nazwy się nie zmieniły.

- Bazy danych

- E-commerce

- Grafika

- Różne

- Sieć

- Zachowanie PHP

- Serwer

- Tekst i język

- XML

## Bazy danych

`--enable-dba=shared`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Buduj DBA jako obiekt współdzielony

`--enable-dbx`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę DBX

`--enable-dbase`

  PHP 3: Opcja niedostępna; zamiast tego użyj --with-dbase.

  PHP 4: Dołącz wbudowaną bibliotekę dbase. Nie potrzebne są zewnętrzne biblioteki.

`--with-dbase`

  PHP 3: Dołącz wbudowaną bibliotekę dbase. Nie potrzebne są zewnętrzne biblioteki.

  PHP 4: Opcja niedostępna; zamiast tego użyj --enable-dbase.

`--with-db2[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę Berkeley DB2

`--with-db3[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę Berkeley DB3

`--with-dbm[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę DBM

`--enable-filepro`

  PHP 3: Opcja niedostępna; zamiast tego użyj --with-filepro.

  PHP 4: Dołącz wbudowaną odbsługę filePro (tylko do odczytu). Nie potrzebne są zewnętrzne biblioteki.

`--with-filepro`

  PHP 3: Włącz wbudowaną obsługę filePro (tylko do odczytu). Nie potrzebne sa zewnętrzne biblioteki.

  PHP 4: Opcja niedostępna; zamiast tego użyj --enable-filepro.

`--with-fbsql[=DIR]`

  PHP 3: Opcja niedostępna.

  PHP 4: Dołącz obsługę FrontBase SQL. DIR to katalog gdzie został zainstalowany FrontBase. Domyślny katalog zależy od systemu operacyjnego: Solaris: `/opt/FrontBase`, WinNT: `\usr\FrontBase`, Linux: `/usr/frontbase`, Mac OSX: `/Library/FrontBase`.

`--with-gdbm[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę GDBM

`--with-hyperwave`

  PHP 3, PHP 4: Dołącz obsługę Hyperwave

`--with-informix[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę Informix. DIR to katalog gdzie został zainstalowany Informix. Brak wartości domyślnej.

`--with-ingres[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę Ingres II. DIR to katalog instalacji Ingresa, domyślnie `/II/ingres`.

`--with-interbase[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę InterBase. DIR to katalog instalacji InterBase'a, domyślnie `/usr/interbase`.

  Funkcje Interbase

  Strona domowa Interbase

`--with-ldap[=DIR]`

  PHP 3: Dołącz obsługę LDAP. DIR to katalog instalacji LDAP. Domyślnie `/usr` i `/usr/local`

  PHP 4: Dołącz obsługę LDAP. DIR to katalog instalacji LDAP.

  Parametr ten dołącza obsługę protokołu LDAP (Lightweight Directory Access Protocol). Parametrem jest katalog instalacji LDAP, domyślnie `/usr/local/ldap`.

  Możesz znaleźć więcej informacji o LDAP w RFC1777 i RFC1778.

`--with-msql[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę mSQL. Parametrem tej opcji jest katalog instalacji mSQL, domyślnie `/usr/local/Hughes`. Jest to domyślne miejsce instalacji dystrybucji mSQL 2.0. configure automatycznie wykrywa która wersja mSQL jest zainstalowana - PHP wspiera obie wersje, 1.0 i 2.0, ale jeśli skompilujesz PHP z mSQL 1.0, możesz korzystać tylko z baz danych mSQL 1.0 i odwrotnie.

  Patrz także dyrektywy Konfiguracji mSQL ustawiane w pliku konfiguracyjnym.

  Strona domowa mSQL

`--with-mysql[=DIR]`

  PHP 3: Dołącz obsługę MySQL. DIR to katalog instalacji MySQL. Domyślnie przeszukiwane są popularne miejsca instalacji MySQL.

  PHP 4: Dołącz obsługę MySQL. DIR to katalog instalacji MySQL. Jeśli nie zostanie podany, użyte zostaną wbudowane biblioteki MySQL. Ta opcja jest domyślnie włączona.

  Patrz także dyrektywy Konfiguracji MySQL ustawiane w pliku konfiguracyjnym.

  Strona domowa MySQL

`--with-ndbm[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę NDBM

`--with-ovrimos`

  PHP 3, PHP 4: Dołącz obsługę Ovrimos.

`--with-oci8[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę Oracle-oci8. Domyślnie DIR to $ORACLE_HOME.

`--with-oracle[=DIR]`

  PHP 3: Dołącz obsługę bazy danych Oracle. DIR to katalog domowy Oracle, domyślnie $ORACLE_HOME.

  PHP 4: Dołącz obsługę bazy danych Oracle-oci7. Domyślnie DIR to $ORACLE_HOME.

  Dołącza obsługę Oracle. Zostało ono przetestowane i powinno działać przynajmniej z wersjami Oracle 7.0 do 7.3. Parametrem jest katalog `ORACLE_HOME`. Nie musisz podawać tego parametru jeśli skonfigurowane zostało środowisko Oracle.

  Strona domowa Oracle

`--with-pgsql[=DIR]`

  PHP 3: Dołącz obsługę PostgreSQL. DIR to katalog instalacji PostgreSQL, domyślnie `/usr/local/pgsql`.

  PHP 4: Dołącz obsługę PostgreSQL. DIR to katalog instalacji PostgreSQL, domyślnie `/usr/local/pgsql`. Ustaw DIR na "shared" aby zbudować jako obiekt dołączany dynamicznie (dl), lub "shared,DIR" aby zbudować jako dl i jednocześnie podać DIR.

  Patrz także dyrektywy Konfiguracji PostgreSQL'a ustawiane w pliku konfiguracyjnym.

  Strona domowa PostgreSQL

`--with-sybase-ct[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę Sybase-CT. DIR to katalog domowy Sybase, domyślnie `/home/sybase`.

  Patrz także dyrektywy Konfiguracji Sybase-CT ustawiane w pliku konfiguracyjnym.

`--with-sybase[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę Sybase-DB. DIR to katalog domowy Sybase, domyślnie `/home/sybase`.

  Patrz także dyrektywy Konfiguracji Sybase ustawiane w pliku konfiguracyjnym.

  Strona domowa Sybase

`--disable-unified-odbc`

  PHP 3: Wyłącz zunifikowaną obsługę ODBC. Opcja używana tylko jeśli włączona została obsługa iODBC, Adabas, Solid, Velocis lub niestandardowego interfejsu ODBC.

  PHP 4: Opcja niedostępna w PHP 4

  Moduł zunifikowanego ODBC jest wspólnym interfejsem do wszystkich baz danych z interfejsami opartymi na ODBC, takich jak Solid, IBM DB2 i Adabas D. Działa on także dla zwykłych bibliotek ODBC. Został przetestowany z iODBC, Solid, Adabas D, IBM DB2 i Sybase SQL Anywhere. Wymaga aby włączone było jedno (i tylko jedno) z tych rozszerzeń lub rozszerzenie Velocis, lub podana była niestandardowa biblioteka ODBC. Ta opcja jest używana tylko jeśli została użyta jedna z poniższych funkcji: --with-iodbc, --with-solid, --with-ibm-db2, --with-adabas, --with-velocis, lub --with-custom-odbc.

  Patrz także dyrektywy Konfiguracji zunifikowanego ODBC ustawiane w pliku konfiguracyjnym.

`--with-velocis[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę Velocis. DIR to katalog instalacji Velocis, domyślnie `/usr/local/velocis`.

  Strona domowa Velocis

## E-commerce

`--with-ccvs[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę CCVS. DIR to katalog instalacji CCVS.

`--with-cybermut[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę Cybermut. DIR to katalog SDK Cybermuta, który zawiera pliki `libcm-mac.a` i `cm-mac.h`.

`--with-mck[=DIR]`

  PHP 3: Dołącz obsługę Cybercash MCK. DIR to katalog budowania Cybercash mck, domyślnie `/usr/src/mck-3.2.0.3-linux`. Aby uzyskać więcej informacji zajrzyj do `extra/cyberlib`.

  PHP 4: Opcja niedostępna; zamiast tego użyj --with-cybercash.

`--with-cybercash[=DIR]`

  PHP 3: Opcja niedostępna; zamiast tego użyj --with-mck.

  PHP 4: Dołącz obsługę CyberCash. DIR to katalog instalacji CyberCash MCK.

`--with-pfpro[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę Verisign Payflow Pro

## Grafika

`--enable-freetype-4bit-antialias-hack`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę FreeType2 (eksperymentalne).

`--with-gd[=DIR]`

  PHP 3: Dołącz obsługę GD (DIR to katalog instalacji GD).

  PHP 4: Dołącz obsługę GD (DIR to katalog instalacji GD). Ustaw DIR jako "shared" aby zbudować rozszerzenie jako moduł współdzielony, lub "shared,DIR" aby zbudować rozszerzenie jako moduł i jednocześnie podać DIR.

`--without-gd`

  PHP 3, PHP 4: Wyłącz obsługę GD.

`--with-imagick[=DIR]`

  PHP 3: Dołącz obsługę ImageMagick. DIR to katalog instalacji ImageMagicka, domyślnie PHP próbuje znaleźć ten katalog na własną rękę. [eksperymentalne].

  PHP 4: Opcja niedostępna w PHP 4

`--with-jpeg-dir[=DIR]`

  PHP 3: Katalog jpeg dla pdflib 2.0

  PHP 4: Katalog jpeg dla pdflib 3.x i 4.x

`--with-png-dir[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Katalog png dla pdflib 3.x i 4.x

`--enable-t1lib`

  PHP 3: Włącz obsługę t1lib.

  PHP 4: Opcja niedostępna; zamiast tego użyj --with-t1lib.

`--with-t1lib[=DIR]`

  PHP 3: Opcja niedostępna; zamiast tego użyj --enable-t1lib.

  PHP 4: Dołącz obsługę T1lib.

`--with-tiff-dir[=DIR]`

  PHP 3: Katalog tiff dla pdflib 2.0

  PHP 4: Katalog tiff dla pdflib 3.x i 4.x

`--with-ttf[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę FreeType

`--with-xpm-dir[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Katalog xpm dla gd-1.8+

## Różne

Opcje te są w międzyczasie klasyfikowane.

`--with-gmp`

  PHP 3, PHP 4 : Dołącz obsługę GMP.

`--disable-bcmath`

  PHP 3: Skompiluj bez matematycznych funkcji BC dowolnej dokładności. Funkcje te pozwalają operować na liczbach wykraczających poza zakresy zwykłych liczb stało- i zmiennoprzecinkowych; zobacz Funkcje Matematyczne Dowolnej Dokładności BCMath aby uzyskać więcej szczegółów.

  PHP 4: Opcja niedostępna; bcmath nie jest domyślnie wkompilowywany. Użyj opcji --enable-bcmath aby go wkompilować.

`--disable-display-source`

  PHP 3: Skompiluj bez obsługi pokazywania źródeł

  PHP 4: Opcja niedostępna w PHP 4

`--disable-libtool-lock`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: unikaj blokowania (może uszkodzić równoległe budowanie)

`--disable-pear`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Nie instaluj PEAR

`--disable-pic`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Wyłącz PIC dla obiektów współdzielonych

`--disable-posix`

  PHP 3: Opcja niedostępna w PHP 3; zamiast tego użyj --without-posix.

  PHP 4: Wyłącz funkcje POSIXowe.

`--enable-pcntl`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Włącz funkcje kontroli procesów. (fork, waitpid, signal, itp.)

`--disable-rpath`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Wyłącz przekazywanie dodatkowych ścieżek poszukiwania bibliotek

`--disable-session`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Wyłącz obsługę sesji

`--enable-bcmath`

  PHP 3: Opcja niedostępna w PHP 3; bcmath jest wkompilowywany domyślnie Użyj --disable-bcmath aby wyłączyć tą bibliotekę.

  PHP 4: Kompiluj z funkcjami matematycznymi z dokładnością bc. Przeczytaj README-BCMATH aby uzyskać informacje jak zainstlować ten moduł. Te funkcje pozwalają operować na liczbach wykraczających poza zakresy dozwolone przez zwykłe liczby stało- i zmiennoprzecinkowe; przeczytaj Funkcje Matematyczne Dowolnej Dokładności BCMath aby uzyskac więcej informacji.

`--enable-c9x-inline`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Włącz semantykę C9x-inline

`--enable-calendar`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Włącz obsługę konwersji kalendarza

`--enable-debug`

  PHP 3, PHP 4: Kompiluj z symbolami dla debuggera

`--enable-debugger`

  PHP 3: Kompiluj z funkcjami zdalnego debugowania

  PHP 4: Opcja niedostępna w PHP 4

`--enable-discard-path`

  PHP 3, PHP 4: Jeśli ta opcja zostanie włączona, binaria CGI PHP mogą być bezpiecznie umieszczone poza drzewem serwera WWW i użytkownicy nie będą mogli obchodzić zabezpieczeń .htaccess.

`--enable-dmalloc`

  PHP 3, PHP 4: Włącz dmalloc

`--enable-exif`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Włącz obsługę exif

`--enable-experimental-zts`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Ta opcja najprawdopodobniej przerwie proces budowania

`--enable-fast-install[=PKGS]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: optymalizacja dla szybkiej instalacji [domyślnie=tak]

`--enable-force-cgi-redirect`

  PHP 3, PHP 4: Włącz sprawdzanie bezpieczeństwa dla wewnętrznych przekierowań serwera. Powinieneś użyć tej opcji jeśli używasz wersji CGI z serwerem Apache.

`--enable-inline-optimization`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Jeśli masz dużo pamięci i używasz gcc możesz spróbować włączyć tą opcję.

`--enable-libgcc`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Włącz jawne linkowanie z libgcc

`--enable-maintainer-mode`

  PHP 3, PHP 4: włącz reguły i zależności programu make nie przydatne (i czasem niejasne) dla zwykłego użytkownika

`--enable-mbstr-enc-trans`

  PHP 4: włącz automatyczne wykrywanie wpisywanych znaków przez http i translację dla wielobajtowych kodowań znaków.

  Ostrzeżenie

`--enable-mbstring`

  PHP 4: włącz funkcje związane z wielobajtowym kodowaniem znaków.

  Ostrzeżenie
  Ta opcja dostępna jest w PHP od wersji 4.0.6.

`--enable-memory-limit`

  PHP 3, PHP 4: Kompiluj z obsługą limitowania pamięci. [domyślnie=nie]

`--enable-safe-mode`

  PHP 3, PHP 4: Włącz domyślną pracę w trybie bezpiecznym.

`--enable-satellite`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Włącz obsługę CORBA przez Satellite (wymaga ORBit)

`--enable-shared[=PKGS]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: buduj biblioteki współdzielone [domyślnie=tak]

`--enable-sigchild`

  PHP 3, PHP 4: Włącz obsługę SIGCHLD przez PHP.

`--enable-static[=PKGS]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: buduj statyczne biblioteki [domyślnie=tak]

`--enable-sysvsem`

  PHP 3, PHP 4: Włącz obsługę semaforów System V.

`--enable-sysvshm`

  PHP 3, PHP 4: Włącz obsługę pamięci dzielonej System V.

`--enable-trans-sid`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Włącz przezroczyste propagowanie id sesji

`--with-cdb[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę CDB

`--with-config-file-path=PATH`

  PHP 3: Ustawia ścieżkę gdzie powinien się znajdować plik php3.ini. Domyśnie `/usr/local/lib`

  PHP 4: Ustawia ścieżkę gdzie powinien się znajdować plik `php.ini`. Domyślnie `/usr/local/lib`

`--with-cpdflib[=DIR]`

  PHP 3: Dołącz obsługę ClibPDF. DIR to katalog instalacji ClibPDF, domyślnie /usr/local.

  PHP 4: Dołącz obsługę cpdflib (wymaga cpdflib >= 2). DIR to katalog instalacji cpdflib, domyślnie /usr.

`--with-exec-dir[=DIR]`

  PHP 3, PHP 4: W trybie bezpiecznym pozwól na uruchamianie plików wykonywalnych tylko w DIR, domyślnie /usr/local/php/bin

`--with-fdftk[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę fdftk. DIR to katalog instalacji fdftk, domyślnie /usr/local.

`--with-gnu-ld`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: załóż, że kompilator C używa GNU ld [domyślnie=nie]

`--with-icap[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę ICAP.

`--with-imap[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę protokołu IMAP. DIR jest to katalog gdzie znajdują się pliki nagłówkowe IMAP i plik `c-client.a`.

`--with-imsp[=DIR]`

  PHP 3: Dołącz wparcie dla IMSP. DIR to katalog gdzie znajdują się pliki nagłówkowe IMSP i plik libimsp.a.

  PHP 4: Opcja niedostępna w PHP 4

`--with-java[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę języka Java. DIR to katalog gdzie zainstalowane jest JDK. To rozszerzenie może być zbudowane tylko jako obiekt dynamicznie dołączany (dl).

`--with-kerberos[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę Kerberosa w protokole IMAP.

`--with-mcal[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę MCAL.

`--with-mcrypt[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę mcrypt. DIR to katalog instalacji mcrypt.

`--with-mhash[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę mhash. DIR to katalog gdzie zainstalowano mhash.

`--with-mm[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę mm do przechowywania sesji.

`--with-mod_charset`

  PHP 3, PHP 4: Włącz transfer tablic dla mod_charset (Rosyjski Apache).

`--with-pdflib[=DIR]`

  PHP 3: Dołącz obsługę pdflib (sprawdzone z 0.6 i 2.0). DIR to katalog instalacji pdflib, domyślnie `/usr/local`.

  PHP 4: Dołącz obsługę pdflib 3.x/4.x. DIR to katalog instalacji pdflib, domyślnie `/usr/local`.

  PHP 4 i PDFlib 3.x/4.x wymagają bibliotek JPEG i TIFF. Kompilując obsługę PDFlib użyj opcji --with-jpeg-dir i --with-tiff-dir. Możesz także użyć opcji --with-png-dir i --with-zlib-dir aby wkompilować obsługę PNG i Zlib do rozszerzenia PDFlib.

`--enable-shared-pdflib`

  PHP 3, PHP 4: Aktywuj pdflib jako bibliotekę współdzieloną.

`--with-readline[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę readline. DIR to katalog instalacji readline.

`--with-regex=TYPE`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Typ biblioteki regex: system, apache, php

`--with-servlet[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę serwletów. DIR to katalog instalacji JSDK. To SAPI wymaga, aby roszerzenie Java było zbudowane jako obiekt dynamicznie dołączany.

`--with-ming`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę Flash 4 (Ming)

`--with-swf[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę swf

`--with-system-regex`

  PHP 3: Nie używaj wbudowanej biblioteki regex

  PHP 4: (niezalecane) Użyj systemową bibliotekę regex.

`--with-tsrm-pth[=pth-config]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Użyj GNU Pth.

`--with-tsrm-pthreads`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Użyj wątków POSIX (domyślnie)

`--with-x`

  PHP 3: użyj X Window System

  PHP 4: Opcje niedostępna w PHP 4

`--with-bz2[=DIR]`

  PHP 4: Dołącz obsługę bzip2. DIR to katalog instalacji bzip2.

`--with-zlib-dir[=DIR]`

  PHP 3: Katalog zlib dla pdflib 2.0 lub dołącz obsługę zlib

  PHP 4: Katalog zlib dla pdflib 3.x/4.x lub dołącz obsługę zlib

`--with-zlib[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę zlib (wymaga zlib >= 1.0.9). DIR to katalog instalacji zlib, domyślnie /usr.

`--with-zip[=DIR]`

  PHP 4: Dołącz obsługę zip (wymaga zziplib >= 0.10.6). DIR to katalog instalacji zziplib, domyślnie /usr/local.

  Najnowsza wersja zziplib może być znaleziona pod adresem http://zziplib.sourceforge.net/.

`--without-pcre-regex`

  PHP 3: Nie dołączaj obsługi Perl Compatible Regular Expressions (kompatybilne z perlem wyrażenia regularne)

  PHP 4: Nie dołączaj obsługi Perl Compatible Regular Expressions. Użyj opcji --with-pcre-regex=DIR aby podać lokalizację plików nagłówkowych i bibliotek jeśli nie chcesz używać wbudowanej biblioteki.

`--without-posix`

  PHP 3: Nie dołączaj funkcji POSIXowych

  PHP 4: Opcja niedostępna w PHP 4; zamiast tego użyj --disable-posix.

`--enable-overload`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Włącz obsługę przeciążania właściwości i metod obiektów.

## Sieć

`--with-curl[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę CURL

`--enable-ftp`

  PHP 3: Opcja niedostępna; zamiast tegu użyj--with-ftp.

  PHP 4: Włącz obsługę FTP

`--with-ftp`

  PHP 3: Dołącz obsługę FTP.

  PHP 4: Opcja niedostępna; zamiast tego użyj --enable-ftp.

`--disable-url-fopen-wrapper`

  PHP 3, PHP 4: Wyłącz wrapper URL'i do polecenia fopen, który pozwala na dostęp do plików przez protokoły HTTP lub FTP.

  Ostrzeżenie
  Ten przełącznik jest dostępny w PHP w wersji 4.0.3 i starszych. Nowsze wersje zawierają parametr pliku konfiguracyjnego `allow_url_fopen` który znosi konieczność podejmowania decyzji przy kompilacji.

`--with-mod-dav=DIR`

  PHP 3, PHP 4: Dołącz obsługę DAV poprzez moduł Apache'a mod_dav. DIR to katalog instalacji mod_dav (tylko wersja jako moduł Apache'a).

`--with-openssl[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę OpenSSL w SNMP.

`--with-snmp[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę SNMP. DIR to katalog instalacji SNMP, domyślnie przeszukuje wiele popularnych lokalizacji instalacji snmp. Ustaw DIR na 'shared' aby zbudować jako obiekt dynamicznie dołączany (dl), lub 'shared,DIR' aby zbudować jako dl i jednocześnie podać DIR.

`--enable-ucd-snmp-hack`

  PHP 3, PHP 4: Włącz poprawkę UCD SNMP

`--enable-sockets`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Włącz obsługę gniazd

`--with-yaz[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę YAZ (ANSI/NISO Z39.50). DIR to katalog instalacji binariów YAZ.

`--enable-yp`

  PHP 3: Opcja niedostępna; zamiast tego użyj --with-yp instead.

  PHP 4: Dołącz obsługę YP

`--with-yp`

  PHP 3: Dołącz obsługę YP

  PHP 4: Opcja niedostępna; zamiast tego użyj --enable-yp.

`--with-mnogosearch`

  PHP 3, PHP 4: Dołącz obsługę mnoGoSearch.

## Zachowanie PHP

`--enable-magic-quotes`

  PHP 3, PHP 4: Włącz domyślnie "magic quotes".

`--disable-short-tags`

  PHP 3, PHP 4: Wyłącz możliwość używania krótkiej formy tagów otwierających <?.

`--enable-track-vars`

  PHP 3: Włącz domyślne śledzienie zmiennych GET/POST/Cookie.

  PHP 4: Opcja niedostępna w PHP 4; od wersji PHP 4.0.2 opcja track_vars jest zawsze włączona.

## Serwer

`--with-aolserver-src=DIR`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Określ ścieżkę do źródłowej dystrybucji AOLserver

`--with-aolserver=DIR`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Określ ścieżkę do zainstalowanego AOLserver

`--with-apache[=DIR]`

  PHP 3, PHP 4: Zbuduj moduł Apache. DIR to katalog główny Apache, domyślnie /usr/local/etc/httpd.

`--with-apxs[=FILE]`

  PHP 3, PHP 4: Zbuduj moduł współdzielony Apache. FILE to opcjonalna ścieżka do narzędzia apxs z pakietu Apache; domyślnie apxs.

`--enable-versioning`

  PHP 3: Użyj wersjonowania i scoopingu które obsługuje Solaris 2.x i Linux.

  PHP 4: Eksportuj tylko wymagane symbole. Przejrzyj plik INSTALL aby uzyskać więcej informacji.

`--with-caudium[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Buduj PHP jako moduł Pike do użycia z serwerem Caudium. DIR to katalog instalacji Caudium, domyślnie $prefix/caudium/server. Prefix jest kontrolowany przez opcję --prefix, domyślnie /usr/local.

`--with-fhttpd[=DIR]`

  PHP 3, PHP 4: Buduj moduł fhttpd. DIR to katalog ze źródłami fhttpd, domyślnie /usr/local/src/fhttpd.

`--with-nsapi=DIR`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Określ ścieżkę do zainstalowanego Netscape

`--with-phttpd=DIR`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4:

`--with-pi3web=DIR`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Buduj PHP jako moduł do użycia z Pi3Web.

`--with-roxen=DIR`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Buduj PHP jako moduł Pike. DIR to katalog instalacji Roxen, zazwyczaj /usr/local/roxen/server.

`--enable-roxen-zts`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Buduj moduł Roxen używając Zend Thread Safety ("Bezpieczeństwa Wątków Zend").

`--with-thttpd=SRCDIR`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Zbuduj PHP jako moduł thttpd

`--with-zeus=DIR`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Buduj PHP jako moduł ISAPI do użycia z Zeus.

## Teks i język

`--with-aspell[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę ASPELL.

`--with-gettext[=DIR]`

  PHP 3, PHP 4: Dołącz obsługę GNU gettext. DIR to katalog instalacji gettext, domyślnie /usr/local.

`--with-iconv[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę iconv.

`--with-pspell[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę PSPELL.

`--with-recode[=DIR]`

  PHP 3: Dołącz obsługę GNU recode.

  PHP 4: Dołącz obsługę recode. DIR to katalog instalacji redcode.

`--enable-shmop`

  PHP 3, PHP 4 : Włącz obsługę shmop.

## XML

`--with-dom[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę DOM (wymaga libxml >= 2.0). DIR to katalog instalacji libxml, domyślnie `/usr`

`--enable-sablot-errors-descriptive`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Włącz błędy opisowe.

`--with-sablot[=DIR]`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę Sablotrona

`--enable-wddx`

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Włącz obsługę WDDX

`--disable-xml`

  PHP 3: Opcja niedostępna w PHP 3; funkcje XML nie są budowane domyślnie. Użyj --with-xml aby je włączyć.

  PHP 4: Wyłącz obsługę wbudowanej biblioteki XML expat

`--with-xml`

  PHP 3: Dołącz obsługę XML

  PHP 4: Opcja niedostępna; obsługa XML jest budowane domyślnie. Użyj opcji --disable-xml aby je wyłączyć.

Poprzedni | Spis treści | Następny
Instalacja na systemie Unix/Mac OS X | Początek rozdziału | Instalacja na systemach Windows